(function($){
	var consulting = {
        getList: function(data){
            return APIService.httpGet('/im_new/consult/getList', data);
        },
        getListTableAjaxObj: { //表格数据获取时，使用的ajax请求配置
            method: 'get',
            url: APIService.server + 'im_new/consult/getList', 
            contentType: "application/json",
            dataType: "json",
            ajaxOptions: {
                beforeSend: function(request) {
                    var userAgent = APIService.userAgent;
                    userAgent = JSON.stringify(userAgent);
                    request.setRequestHeader("userAgent", userAgent);
                }
            }
        },
        getListCount: function(data){
            return APIService.httpGet('/im_new/consult/getListCount', data);
        },
        getConsultStatus: function(data){
            return APIService.httpGet('doctor/consult/getConsultStatus', data);
        },
        getPrescriptionInfo: function(data){
            return APIService.httpGet('/doctor/consult/prescriptionDetail', data);
        },
        uploadImage: function(data){
            return APIService.httpPost('upload/chat', data);
        },
        getPatientServiceType: function(data){
            return APIService.httpGet('doctor/sign/getPatientFamilyServer', data);
        },
        finishConsult: function(data){
            return APIService.httpPost('doctor/consult/finish_consult', data);
        },
        //IM相关的接口
        socketUrl: APIService.imserver+'/socket.io/socket.io.js',
        getMessages: function(sessionId, data){
            return APIService.imHttpGet('/sessions/'+sessionId+'/messages', data);
        },
        sendMessage: function(sessionId, data){
            return APIService.imHttpPost('/sessions/'+sessionId+'/messages', data);
        },
        getMembers: function(sessionId){
            return APIService.imHttpGet('/sessions/'+sessionId+'/participants');
        },
        //通过续方code,获得续方详情
        getPrescriptionInfoByCode: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/getContinuedPrescriptionAsDoctor', data);
        },
        //快捷回复列表
        getReplyList: function(data){
            return APIService.httpPost('/doctor/reply/list', {data: data});
        },
        //发送血糖血压快捷回复咨询
        addPrescriptionBloodStatusConsult: function(data){
            return APIService.httpPost('/doctor/consult/addPrescriptionBloodStatusConsult', {data: data});
        },
        //发送问卷快捷回复咨询
        addPrescriptionFollowupContentConsult: function(data){
            return APIService.httpPost('/doctor/consult/addPrescriptionFollowupContentConsult', {data: data});
        },
        //获得问卷列表
        getFollowupCountList: function(data){
            return APIService.httpGet("/doctor/prescription/followupcontent/list", {data: data});
        },
        //删除快捷回复内容
        deleteQuickReply: function(data){
            return APIService.httpPost("doctor/reply/delete", {data: data});
        },
        //添加快捷回复内容
        addQuickReply: function(data){
            return APIService.httpPost("/doctor/reply/add", {data: data});
        },
        //修改快捷回复
        modifyQuickReply: function(data){
            return APIService.httpPost('/doctor/reply/modify', {data: data});
        },
        //快捷回复排序
        sortList: function(data){
            return APIService.httpPost('doctor/reply/sortList', {data: data});
        },
        //续方药品导入随访记录
        importdrugs: function(data){
            return APIService.httpPost('/doctor/prescription/followupcontent/importdrugs', {data: data});
        },
        //续方续方患者的血糖导入随访记录
        importbloodsugar: function(data){
            return APIService.httpPost('/doctor/prescription/followupcontent/importbloodsugar', {data: data});
        },
        //续方续方患者的血压导入随访记录
        importbloodpressure: function(data){
            return APIService.httpPost('/doctor/prescription/followupcontent/importbloodpressure', {data: data});
        },
        //问卷导入随访记录
        importfollowupcontent: function(data){
            return APIService.httpPost('/doctor/prescription/followupcontent/importfollowupcontent', {data: data});
        },
        //获得问卷详情
        getSurveyInfo: function(data){
            return APIService.httpGet('/doctor/prescription/followupcontent/getinfo', {data: data});
        }
    };

    window.consultingAPI = consulting;
})(jQuery)
